import { ErrorHandler, OnDestroy } from '@angular/core';
import { Actions, ActionTransforms, RxActions } from './types';
import * as i0 from "@angular/core";
/**
 * @deprecated - use rxActions instead
 *
 * This class creates RxActions bound to Angular's DI life-cycles. This prevents memory leaks and optionally makes the instance reusable across the app.
 * The function has to be used inside an injection context.
 * If the consumer gets destroyed also the actions get destroyed automatically.
 *
 * @example
 * @Component({
 *   standalone: true,
 *   template: `...`,
 * })
 * export class AnyComponent {
 *   ui = rxActions<{search: string, refresh: void}>();
 * }
 */
export declare class RxActionFactory<T extends Partial<Actions>> implements OnDestroy {
    private readonly errorHandler?;
    private subjects;
    constructor(errorHandler?: ErrorHandler | undefined);
    create<U extends ActionTransforms<T> = object>(transforms?: U): RxActions<T, U>;
    destroy(): void;
    /**
     * @internal
     * Internally used to clean up potential subscriptions to the subjects. (For Actions it is most probably a rare case but still important to care about)
     */
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<RxActionFactory<any>, [{ optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<RxActionFactory<any>>;
}
//# sourceMappingURL=actions.factory.d.ts.map