import { ErrorHandler } from '@angular/core';
import { EffectMap, RxActions, SubjectMap } from './types';
/**
 * @internal
 * Internal helper to create the proxy object
 * It lives as standalone function because we don't need to carrie it in memory for every ActionHandler instance
 * @param subjects
 * @param transforms
 */
export declare function actionProxyHandler<T extends object, U extends object>({ subjectMap, transformsMap, effectMap, errorHandler, }: {
    subjectMap: SubjectMap<T>;
    transformsMap?: U;
    effectMap: EffectMap<T>;
    errorHandler: ErrorHandler | null;
}): ProxyHandler<RxActions<T, U>>;
//# sourceMappingURL=proxy.d.ts.map